Subject: Re: [PATCH v2] cxl: abort cxl_pci_enable_device_hook() if PCI channel is offline

From: Michael Ellerman <[email-masked]>
Date: Mon, 07 Sep 2015 12:53:11 +1000

On Mon, 2015-09-07 at 10:52 +1000, Andrew Donnellan wrote:
> cxl_pci_enable_device_hook() is called when attempting to enable an AFU
> sitting on a vPHB. At present, the state of the underlying CXL card's PCI
> channel is only checked when it calls cxl_afu_check_and_enable() at the
> very end, after it has already set DMA options and initialised a default
> context.
> 
> Check the CXL card's link status before setting DMA options or initialising
> a default context. If the link is down, print a warning and return
> immediately.

Is this a fix targetting 4.3 (current release) and/or stable, or something for
next?

cheers